|  | Home · All Classes · Modules

# QDeclarativeScriptString Class Reference
[QtDeclarative module]

The QDeclarativeScriptString class encapsulates a script and its context. More...

### Methods

- __init__ (self)
- __init__ (self, QDeclarativeScriptString)
- QDeclarativeContext context (self)
- QObject scopeObject (self)
- QString script (self)
- setContext (self, QDeclarativeContext)
- setScopeObject (self, QObject)
- setScript (self, QString)

## Detailed Description

The QDeclarativeScriptString class encapsulates a script and its context.

QDeclarativeScriptString is used to create QObject properties that accept a script "assignment" from QML.

Normally, the following QML would result in a binding being established for the `script` property; i.e. `script` would be assigned the value obtained from running `myObj.value = Math.max(myValue, 100)`

     MyType {
         script: myObj.value = Math.max(myValue, 100)
     }

If instead the property had a type of QDeclarativeScriptString, the script itself -- myObj.value = Math.max(myValue, 100) -- would be passed to the `script` property and the class could choose how to handle it. Typically, the class will evaluate the script at some later time using a QDeclarativeExpression.

     QDeclarativeExpression expr(scriptString.context(), scriptString.script(), scriptStr.scopeObject());
     expr.value();

## Method Documentation

### QDeclarativeScriptString.__init__ (self)

Constructs an empty instance.

### QDeclarativeScriptString.__init__ (self, QDeclarativeScriptString)

Copies other.

### QDeclarativeContext QDeclarativeScriptString.context (self)

Returns the context for the script.

See also setContext().

### QObject QDeclarativeScriptString.scopeObject (self)

Returns the scope object for the script.

See also setScopeObject().

### QString QDeclarativeScriptString.script (self)

Returns the script text.

See also setScript().

### QDeclarativeScriptString.setContext (self, QDeclarativeContext)

Sets the context for the script.

See also context().

### QDeclarativeScriptString.setScopeObject (self, QObject)

Sets the scope object for the script.

See also scopeObject().

### QDeclarativeScriptString.setScript (self, QString)

Sets the script text.

See also script().